Undo does not work on question type change action
03/08/2009 01:53 PM - Jay Lee
Description

when undo button is clicked, it's not actually doing the right job. it does not go back to previous stage but some point, and it messed
up somehow.

History

#1 - 03/09/2009 09:08 AM - ben leinfelder

| don't believe the undo button can undo everything - mostly just typing actions (and perhaps those are even character by character?)
What were you trying to "undo"?

#2 - 03/10/2009 08:46 AM - ben leinfelder

from jay:

Yes. | figured that out. Most of time it works fine with typing steps. What

| was having problem was that if | undo when | change to "multiple choice"
to "Short answer" or vice versa, then clicking undo button somehow remove
question text.

#3 - 05/11/2009 07:15 AM - Ryan McFall

Resubmit after fire

#4 - 09/30/2009 11:08 AM - Ryan McFall

Sandeep, this would be good to look at.

#5 - 10/03/2009 04:53 PM - Sandeep Namilikonda

In reply to comment 2:

Undo/Redo buttons or equivalent Edit menu items are not activated when a
question's type is changed. But, when the question type is manually
changed from one type (say multiple choice) to another (say True/False)

and back, | did not find any text missing, either from the prompt or
from the choices.

| do not know if we decided to have "undo" functionality for even
question type changes. My opinion is that such a functionality can be
added at post-prototype stage, if we deem it necessary.

Please comment.

#6 - 03/27/2013 02:24 PM - Redmine Admin
Original Bugzilla ID was 3866
